Libosmium 2.22.0 Fast and flexible C++ library for working with OpenStreetMap data

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | List of all members
osmium::geom::IdentityProjection Class Reference

`#include <factory.hpp>`

## Public Member Functions
Coordinates | operator() (osmium::Location location) const

## Static Public Member Functions
static int | epsg () noexcept
static std::string | proj_string () noexcept

## Detailed Description

This pseudo projection just returns its WGS84 input unchanged. Used as a template parameter if a real projection is not needed.

## Member Function Documentation

## ◆ epsg()

static int osmium::geom::IdentityProjection::epsg | ( |  | ) |
| inline static noexcept

## ◆ operator()()

Coordinates osmium::geom::IdentityProjection::operator() | ( | osmium::Location | location | ) | const
| inline

## ◆ proj_string()

static std::string osmium::geom::IdentityProjection::proj_string | ( |  | ) |
| inline static noexcept

The documentation for this class was generated from the following file:

- include/osmium/geom/factory.hpp